Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233244 - Review Request: libiptcdata - IPTC Metadata library
Summary: Review Request: libiptcdata - IPTC Metadata library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 07:19 UTC by David Moore
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 03:49:02 UTC
mtasaka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description David Moore 2007-03-21 07:19:22 UTC
Spec URL: http://pisces.mit.edu/~dcm/packages/libiptcdata.spec
SRPM URL: http://pisces.mit.edu/~dcm/packages/libiptcdata-1.0.0-1.src.rpm

Description: libiptcdata is a library for parsing, editing, and saving IPTC data stored inside images.  IPTC is a standard for encoding metadata such as captions, titles, locations, etc. in the headers of an image file.  libiptcdata also includes a command-line utility for modifying the metadata.

NOTE: This is my first package and I am seeking a sponsor.

Comment 1 Mamoru TASAKA 2007-03-21 09:49:26 UTC
First impression
* URL
  - For URL, please use:
    http://libiptcdata.sourceforge.net/

* Python directory
  - For python sitelib/arch directory, please refer to
    http://fedoraproject.org/wiki/Packaging/Python

* Release specific dependency
  - Usually, the dependency for main (and other) package
    must be release number specific.
    http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

* Timestamps
  - Please keep timestamps on the files which are not created
    at build time (i.e. which are included in the original
    tarball and not modified at build time) (for example,
    header files in -devel package).

    For this package, the following works.
------------------------------------------------
make DESTDIR=%{buildroot} INSTALL="%{__install} -c -p" install
------------------------------------------------

* Documentation
  - File "INSTALL" should not be needed. This is for
    who want to install this package by themselves.

Comment 2 David Moore 2007-03-22 03:35:24 UTC
Okay, thanks for the critique.  I have updated the links above with the new
package and specfile that fixes the issues you have pointed out.

Comment 3 Mamoru TASAKA 2007-03-22 13:48:41 UTC
Oh, I didn't realize you updated the spec/srpm...

Then:
* http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes
-------------------------------------------------------
Increase the "Release" tag every time you upload a new package to avoid
confusion. The reviewer and other interested parties probably still have older
versions of your SRPM lying around to check what has changed between the old and
new packages; those get confused when the revision didn't change.
-------------------------------------------------------

Comment 5 Mamoru TASAKA 2007-03-22 18:41:52 UTC
Well, for 1.0.0-2:

* Documentation
  - The following documents are not encoded with UTF-8. Please
    change the encoding to UTF-8.
-----------------------------------------------------
/usr/share/doc/libiptcdata-1.0.0/README
-----------------------------------------------------

Other things are okay.
Then:
-----------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Comment 6 David Moore 2007-03-23 22:22:33 UTC
Okay, thanks.  Package is updated here, also with a new upstream version (which
includes the README fix along with other upstream changes):

Spec URL: http://pisces.mit.edu/~dcm/packages/libiptcdata.spec
SRPM URL: http://pisces.mit.edu/~dcm/packages/libiptcdata-1.0.1-1.src.rpm

I will find another package to submit or pre-review to continue the sponsorship
process.

Comment 7 David Moore 2007-03-24 06:24:24 UTC
I have done a "pre-review" of bug 233691

Comment 8 David Moore 2007-03-24 06:44:42 UTC
I have done another pre-review, this time for bug 233695

Comment 9 Mamoru TASAKA 2007-03-24 12:58:57 UTC
Well,

* This package is okay
* For pre-reviewing, some points seems overlooked, however
  I expect that you can get skilled in reviewing.

-----------------------------------------------
   This package (libiptcdata) is APPROVED by me.
-----------------------------------------------
  I will sponsor you. Please follow:
  http://fedoraproject.org/wiki/PackageMaintainers/Join

  Welcome to Fedora!!

Comment 10 David Moore 2007-03-26 22:45:18 UTC
New Package CVS Request
=======================
Package Name: libiptcdata
Short Description: IPTC tag library
Owners: dcm@acm.org
Branches: FC-5 FC-6
InitialCC: 


Comment 11 David Moore 2007-03-27 03:49:02 UTC
Built in FC-5, FC-6, devel.

Thanks Mamoru and others!

Comment 12 David Moore 2007-05-15 20:14:52 UTC
Package Change Request
======================
Package Name: libiptcdata
New Branches: EL-4 EL-5


Note You need to log in before you can comment on or make changes to this bug.